IPCMK(1)

BEZEICHNUNG
ipcmk - verschiedene IPC-Ressourcen erzeugen

ÜBERSICHT

ipcmk [Optionen]

BESCHREIBUNG

ipcmk ermöglicht Ihnen die Erzeugung von IPC-Objekten (System-V-Interprozess-Kommunikation): gemeinsam genutzte Speicherbereiche, Nachrichtenwarteschlangen oder Semaphor-Felder.

OPTIONEN

Ressourcen können wie folgt angegeben werden:

-M, --shmem Größe
    erzeugt einen gemeinsam genutzten Speicherbereich mit Größe Byte. Auf das Argument Größe können die binären (2^N) Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB etc. folgen (das »iB« ist optional, so dass zum Beispiel »K« gleichbedeutend mit »KiB« ist) oder die dezimalen Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB etc.

-Q, --queue
    erstellt eine Nachrichtenwarteschlange.

-S, --semaphore Anzahl
    erzeugt ein Semaphor-Feld mit Anzahl Elementen.

Weitere Optionen sind:

-p, --mode Modus
    setzt die Zugriffsrechte für die Ressource (Vorgabe ist 0644).

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

AUTOREN

SIEHE AUCH

ipcrm(1), ipcs(1), sysvipc(7)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl ipcmk ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).